moeoDetTournamentSelect(3)

NAME
moeoDetTournamentSelect - Selection strategy that selects ONE individual by deterministic tournament.

SYNOPSIS

#include <moeoDetTournamentSelect.h>

Inherits moeoSelectOne< MOEOT >< MOEOT >.

  Public Member Functions
moeoDetTournamentSelect (moeoComparator< MOEOT > &_comparator, unsigned _tSize=2)
Full Ctor.
moeoDetTournamentSelect (unsigned _tSize=2)
Ctor without comparator.
const MOEOT & operator() (const eoPop< MOEOT > &_pop)
Apply the tournament to the given population.

  Protected Attributes
moeoComparator< MOEOT > & comparator
the comparator (used to compare 2 individuals)
unsigned tSize
the number of individuals in the tournament

Detailed Description

  template<class MOEOT> class moeoDetTournamentSelect< MOEOT >
Selection strategy that selects ONE individual by deterministic tournament.

Definition at line 23 of file moeoDetTournamentSelect.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoDetTournamentSelect< MOEOT >::moeoDetTournamentSelect (moeoComparator< MOEOT > & _comparator, unsigned _tSize = 2) [inline]

Full Ctor.

Parameters:
    _comparator the comparator (used to compare 2 individuals)
    _tSize the number of individuals in the tournament (default: 2)

Definition at line 33 of file moeoDetTournamentSelect.h.

References moeoDetTournamentSelect< MOEOT >::tSize.

  template<class MOEOT> moeoDetTournamentSelect< MOEOT >::moeoDetTournamentSelect (unsigned _tSize = 2) [inline]

Ctor without comparator.

A moeoFitnessThenDiversityComparator is used as default.

Parameters:
    _tSize the number of individuals in the tournament (default: 2)

Definition at line 50 of file moeoDetTournamentSelect.h.

References moeoDetTournamentSelect< MOEOT >::tSize.

Member Function Documentation

  template<class MOEOT> const MOEOT& moeoDetTournamentSelect< MOEOT >::operator() (const eoPop< MOEOT > & _pop) [inline]

Apply the tournament to the given population.

Parameters:
    _pop the population

Definition at line 68 of file moeoDetTournamentSelect.h.

References moeoDetTournamentSelect< MOEOT >::comparator, and moeoDetTournamentSelect< MOEOT >::tSize.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.